org.apache.storm.metrics2.reporters

## Class CsvStormReporter

- java.lang.Object
- - org.apache.storm.metrics2.reporters.ScheduledStormReporter
  - - org.apache.storm.metrics2.reporters.CsvStormReporter

- All Implemented Interfaces:
    com.codahale.metrics.Reporter, StormReporter

      public class CsvStormReporter
      extends ScheduledStormReporter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CSV_LOG_DIR`

    - ### Fields inherited from class org.apache.storm.metrics2.reporters.ScheduledStormReporter

      `reporter, reportingPeriod, reportingPeriodUnit`

    - ### Fields inherited from interface org.apache.storm.metrics2.reporters.StormReporter

      `REPORT_DIMENSIONS_ENABLED, REPORT_PERIOD, REPORT_PERIOD_UNITS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsvStormReporter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `prepare(com.codahale.metrics.MetricRegistry metricsRegistry, Map<String,Object> topoConf, Map<String,Object> reporterConf)`

    - ### Methods inherited from class org.apache.storm.metrics2.reporters.ScheduledStormReporter

      `getMetricsFilter, getReportPeriod, getReportPeriodUnit, isReportDimensionsEnabled, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.metrics2.reporters.StormReporter

      `prepare`

- - ### Field Detail

    - #### CSV_LOG_DIR

          public static final String CSV_LOG_DIR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CsvStormReporter

          public CsvStormReporter()

  - ### Method Detail

    - #### prepare

          public void prepare(com.codahale.metrics.MetricRegistry metricsRegistry,
                              Map<String,Object> topoConf,
                              Map<String,Object> reporterConf)

Copyright © 2021 The Apache Software Foundation. All rights reserved.